Description: Disables the auto update since we use the packaged code
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/core/src/com/biglybt/pifimpl/local/PluginInitializer.java
+++ b/core/src/com/biglybt/pifimpl/local/PluginInitializer.java
@@ -143,20 +143,6 @@
 					"Magnet URI Handler",
 					"true",
 					"false"},
-			{	 PluginManagerDefaults.PID_CORE_UPDATE_CHECKER,
-					/** {@link com.biglybt.update.CoreUpdateChecker} */
-   					"com.biglybt.update.CoreUpdateChecker",
-   					"azbpcoreupdater",
-   					"CoreUpdater",
-					"true",
-					"true"},
-			{	 PluginManagerDefaults.PID_CORE_PATCH_CHECKER,
-					/** {@link com.biglybt.update.CorePatchChecker} */
-   					"com.biglybt.update.CorePatchChecker",
-   					"azbpcorepatcher",
-   					"CorePatcher",
-					"true",
-					"true"},
 	   		{	 PluginManagerDefaults.PID_PLATFORM_CHECKER,
 				    /** {@link com.biglybt.platform.PlatformManagerPluginDelegate} */
    					"com.biglybt.platform.PlatformManagerPluginDelegate",
--- a/core/src/com/biglybt/update/UpdaterUtils.java
+++ b/core/src/com/biglybt/update/UpdaterUtils.java
@@ -79,7 +79,7 @@
 		try{
 			File	target_props = getPropsIfNotPresent( AZUPDATER_PLUGIN_ID, true );
 
-			if ( target_props != null ){
+			if ( target_props != null && false ){
 
 				writePluginProperties(
 					target_props,
--- a/core/src/com/biglybt/core/config/impl/ConfigurationDefaults.java
+++ b/core/src/com/biglybt/core/config/impl/ConfigurationDefaults.java
@@ -325,9 +325,9 @@
 	def.put("Default save path", f.getAbsolutePath());
 	def.put("saveTo_list.max_entries", new Long(15));
 
-    def.put("update.start",TRUE);
-    def.put("update.periodic",TRUE);
-    def.put("update.opendialog",TRUE);
+    def.put("update.start",FALSE);
+    def.put("update.periodic",FALSE);
+    def.put("update.opendialog",FALSE);
     def.put("update.autodownload", FALSE);
     def.put("update.anonymous", FALSE);
 
@@ -617,7 +617,7 @@
     def.put( "locale", Locale.getDefault().toString() );
     def.put( "locale.set.complete.count", ZERO);
     def.put( "Password Confirm", null );
-    def.put( "Auto Update", TRUE );
+    def.put( "Auto Update", FALSE );
     def.put( "Alert on close", FALSE );
     def.put( "diskmanager.hashchecking.strategy", ONE );
     def.put( "diskmanager.hashchecking.smallestfirst", TRUE );
--- a/uis/src/com/biglybt/ui/swt/Initializer.java
+++ b/uis/src/com/biglybt/ui/swt/Initializer.java
@@ -698,7 +698,6 @@
 
 			reportCurrentTaskByKey("splash.openViews");
 
-			SWTUpdateChecker.initialize();
 
 			UpdateMonitor.getSingleton(core); // setup the update monitor
 
--- a/core/src/com/biglybt/update/CoreUpdateChecker.java
+++ b/core/src/com/biglybt/update/CoreUpdateChecker.java
@@ -86,7 +86,7 @@
 	public static void
 	doUsageStats()
 	{
-		singleton.doUsageStatsSupport();
+		if (singleton != null) singleton.doUsageStatsSupport();
 	}
 
 	public
